<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_03_addcontent() */
/* タブのスラグ haumenu_define_tab_slug_03_addcontent() */
/* $option_name 設定名 haumenu_define_option_name_03_addcontent() */
/* get_option GetOP03_addcontent() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_03_addcontent( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_addcontent';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_03_addcontent();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-top-home-scroll' => array(
			//'.home-top-button-align-wrapper',
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_03_addcontent', 20 );

/*** ツールチップの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_tooltip_text_color(){
//項目の追加
	add_settings_field(
		'tooltip-text-color', // 設定名
		__('Text Color','hima-art-utility'), // 設定タイトル
		'haumenu_tooltip_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_03_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_tooltip_text_color' );

/* 入力フォーム */
function haumenu_tooltip_text_color() {
	$set_name = haumenu_define_option_name_03_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'tooltip-text-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#222222" data-default-color="#222222">
</label>
<p><?php esc_html_e('Specifies the text color of the description part of the tooltip (default is #222). This color also applies to the underline that indicates there is a tooltip.','hima-art-utility'); ?></p>
<?php
}

/*** ツールチップの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_tooltip_bg_color(){
//項目の追加
	add_settings_field(
		'tooltip-bg-color', // 設定名
		__('Background Color','hima-art-utility'), // 設定タイトル
		'haumenu_tooltip_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_03_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);
}
add_action( 'admin_init', 'haumenu_init_field_tooltip_bg_color' );

/* 入力フォーム */
function haumenu_tooltip_bg_color() {
	$set_name = haumenu_define_option_name_03_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'tooltip-bg-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#eee" data-default-color="#eee">
</label>
<p><?php esc_html_e('Specifies the tooltip hop-up background (default is #eee).','hima-art-utility'); ?></p>
<?php
}

/*** ツールチップの枠線色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_tooltip_border_color(){
//項目の追加
	add_settings_field(
		'tooltip-border-color', // 設定名
		__('Border Color','hima-art-utility'), // 設定タイトル
		'haumenu_tooltip_border_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_addcontent(), //表示させるタブのスラグ
		haumenu_define_section_id_03_addcontent(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_tooltip_border_color' );

/* 入力フォーム */
function haumenu_tooltip_border_color() {
	$set_name = haumenu_define_option_name_03_addcontent(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'tooltip-border-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="#777" data-default-color="#777">
</label>
<p><?php esc_html_e('Specifies the tooltip hop-up border color (default is #777).','hima-art-utility'); ?></p>
<?php
}